.switch {
    color: #191521;
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    cursor: pointer;
    display: flex;
    column-gap: rem(8);
    align-items: center;
    position: relative;

    &__input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + .switch__item {
            border-color: var(--primary);

            &:before {
                background-color: var(--primary);
                left: calc(100% - 16px)
            }
        }

        &:disabled + .switch__item {
            color: #191521;
            opacity: .5;

            + .switch__text {
                opacity: .5;
            }
        }
    }

    &__item {
        width: 40px;
        height: 20px;
        display: block;
        flex-shrink: 0;
        position: relative;
        border-radius: 20px;
        background-color: var(--gray-5);
        border: 1px solid var(--gray-20);

        &:before {
            top: calc(50% - 6px);
            left: 4px;
            content: '';
            width: 12px;
            height: 12px;
            border-radius: 50%;
            position: absolute;
            background-color: var(--gray-40);
            transition: var(--transition-time);
        }
    }
}
